Skip to main content
GET
/
orchestration
/
tools
/
list
List tools
curl --request GET \
  --url https://api.getcargo.io/v1/orchestration/tools/list \
  --header 'Authorization: Bearer <token>'
{
  "tools": [
    {
      "uuid": "<string>",
      "icon": {
        "kind": "<string>",
        "data": "<string>"
      },
      "workspaceUuid": "<string>",
      "workflowUuid": "<string>",
      "userUuid": "<string>",
      "name": "<string>",
      "folderUuid": "<string>",
      "creditsCost": {
        "kind": "<string>"
      },
      "description": "<string>",
      "isReadOnly": true,
      "triggers": [
        {
          "name": "<string>",
          "description": "<string>",
          "type": "<string>",
          "cron": "<string>",
          "temporalScheduleWorkflowId": "<string>",
          "data": {}
        }
      ],
      "publicForm": {
        "isEnabled": true,
        "allowedOrigins": [
          "<string>"
        ],
        "spam": {
          "captchaSiteKey": "<string>",
          "captchaSecret": "<string>",
          "minFillMillis": 4503599627370495
        },
        "presentation": {
          "theme": {
            "primaryColor": "<string>",
            "primaryTextColor": "<string>",
            "primaryHoverColor": "<string>",
            "textColor": "<string>",
            "mutedColor": "<string>",
            "backgroundColor": "<string>",
            "borderColor": "<string>",
            "borderFocusColor": "<string>",
            "radius": "<string>",
            "fontFamily": "<string>"
          }
        }
      },
      "createdAt": "<string>",
      "updatedAt": "<string>",
      "deletedAt": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Successful response

Response body schema.

tools
Tools · object[]
required

List of tools.